<template>
    <footer class="pt-5">
        <div class="container">
            <div class="row justify-content-start">
                <div class="col-md-4">
                    <h3>About Us</h3>
                    <div class="footer-logo">
                        <!-- <img src="https://weddingdir.net/wp-content/themes/weddingdir//assets/images/logo/logo_light.svg" alt="Event brand logo"> -->
                        <p class="mb-3">
                            Sed ut perspiciatis unde mnis iste natus error sit ptatem accus antium doloremque lauda ntium.
                        </p>
                    </div>
                    <div class="text-left">
                        <a href="https://weddingdir.net/" class="btn btn-default-theme">Know More</a>
                    </div>
                </div>

                <div class="col-md-2">
                    <h3>Categories</h3>
                    <div class="">
                        <ul class="list-unstyled links">
                            <li><a href="#">Venue</a></li>
                            <li><a href="#">Dresses</a></li>
                            <li><a href="#">Florist</a></li>
                            <li><a href="#">Cake</a></li>
                            <li><a href="#">Photographer</a></li>
                            <li><a href="#">Music Dj</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-3">
                    <h3>Contact Us</h3>

                    <p>4998 Elk Creek Road Canton, GA 30114</p>
                    <p>Call : +81 258 852 6699</p>
                    <p>Mail : Info@weddingdir.com</p>
                </div>
                <div class="col-md-3">
                    <h3>Newsletter</h3>

                    <p>Subscribe to our newsletter to receive exclusive offers and wedding tips.</p>
                    <div class="footer-form">
                        <form @submit.prevent="handleSubmit" class="">
                            <div class="form-group">
                                <input type="text" class="form-control" placeholder="Enter Email Address" v-model="email">
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-warning">Subcribe {{ todos.length }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <div class="copyright">
        <div class="container">
            <div class="row text-center">
                <div class="col-md-12">
                    © {{ year }} All Rights Reserved.
                </div>
            </div>
        </div>
    </div>
</template>

<script setup>
    import { ref } from 'vue';

    const year = new Date().getFullYear();
    const email = ref('')

    import { useUserStore } from '~/store/users';
    import { storeToRefs } from 'pinia';
    
    const store = useUserStore();
    const { addName } = store;

    const { names, todos } = storeToRefs(store);

    const handleSubmit = () => {
        addName(email.value)
    }
</script>
<style scoped>
    footer {
        background: var(--bg-black);
        color: #d5d5d5;
    }
    .copyright {
        padding: 1rem 0;
        color: #fff;
        font-size: 0.875rem;
        background: #252428;
    }
    .footer-logo {
        text-align: left;
    }
    .footer-logo img {
        width: 180px;
        margin-bottom: 10px;
    }
    .know-more,.btn-warning {
        color: white !important;
    }
    .links li {
        position: relative;
        padding-left: 15px;
    }
    .links li::before {
        position: absolute;
        left: 0;
        top: 4px;
        content: "\f054";
        font-size: 0.575rem;
        font-family: "FontAwesome";
        margin-right: 10px;
    }
</style>